# duckmatic.h File Reference

Template Header. More...

`#include <list>`
`#include <map>`
`#include <set>`
`#include <ETL/smart_ptr>`
`#include <ETL/handle>`
`#include <synfig/vector.h>`
`#include <synfig/string.h>`
`#include <synfig/real.h>`
`#include <sigc++/signal.h>`
`#include <sigc++/object.h>`
`#include <synfig/time.h>`
`#include <synfig/color.h>`
`#include "duck.h"`
`#include <synfig/guidset.h>`

Go to the source code of this file.

## Namespaces

namespace | synfigapp
namespace | synfig
namespace | studio

## Classes

class | studio::DuckDrag_Base
class | studio::DuckDrag_Translate
class | studio::Duckmatic
class | studio::Duckmatic::Push
struct | studio::Duckmatic::Bezier
struct | studio::Duckmatic::Stroke

## Detailed Description

Template Header.

$Id$